LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE := SDL_mixer

LOCAL_C_INCLUDES := \
	$(LOCAL_PATH)/.. \
	$(LOCAL_PATH)/../SDL/include \
	$(LOCAL_PATH)/../mikmod/include \
	$(LOCAL_PATH)/timidity \

LOCAL_CFLAGS := -DWAV_MUSIC -DMID_MUSIC -DUSE_TIMIDITY_MIDI
LOCAL_LDLIBS += -llog


LOCAL_SRC_FILES := $(notdir $(filter-out %/playmus.c %/playwave.c, $(wildcard $(LOCAL_PATH)/*.c)))

LOCAL_SRC_FILES +=  \
	timidity/timidity.c \
	timidity/common.c \
	timidity/ctrlmode.c \
	timidity/filter.c \
	timidity/instrum.c \
	timidity/mix.c \
	timidity/output.c \
	timidity/playmidi.c \
	timidity/readmidi.c \
	timidity/resample.c \
	timidity/sdl_a.c \
	timidity/sdl_c.c \
	timidity/tables.c \



LOCAL_SHARED_LIBRARIES := SDL mikmod 
LOCAL_STATIC_LIBRARIES := tremor

include $(BUILD_SHARED_LIBRARY)
